org.eclipse.rdf4j.query.resultio.sparqlstarjson

## Class SPARQLStarResultsJSONParser

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser
  - - org.eclipse.rdf4j.query.resultio.sparqljson.AbstractSPARQLJSONParser
    - - org.eclipse.rdf4j.query.resultio.sparqljson.SPARQLResultsJSONParser
      - - org.eclipse.rdf4j.query.resultio.sparqljson.SPARQLStarResultsJSONParser
        - - org.eclipse.rdf4j.query.resultio.sparqlstarjson.SPARQLStarResultsJSONParser

- All Implemented Interfaces:
    QueryResultParser, TupleQueryResultParser

  Deprecated.
  since 3.4.0 - moved to `SPARQLStarResultsJSONParser`

      @Deprecated
      public class SPARQLStarResultsJSONParser
      extends SPARQLStarResultsJSONParser

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.sparqljson.AbstractSPARQLJSONParser

      `BINDINGS, BNODE, BOOLEAN, DATATYPE, HEAD, LINK, LITERAL, RESULTS, TYPE, TYPED_LITERAL, URI, VALUE, VARS, XMLLANG`

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `handler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLStarResultsJSONParser()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.sparqljson.SPARQLStarResultsJSONParser

      `getTupleQueryResultFormat`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.sparqljson.SPARQLResultsJSONParser

      `checkTripleType, getQueryResultFormat, parse, parseTripleValue, setTupleQueryResultHandler`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.sparqljson.AbstractSPARQLJSONParser

      `getSupportedSettings, parseQueryResult, parseQueryResultInternal, parseValue`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `getParseErrorListener, getParseLocationListener, getParserConfig, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getSupportedSettings, parseQueryResult, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

- - ### Constructor Detail

    - #### SPARQLStarResultsJSONParser

          public SPARQLStarResultsJSONParser()

      Deprecated.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.